gSOAP XML-RPC and JSON 2.8 Stable

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
methodCall Struct Reference

Represents the <methodCall> element with <methodName> and request <params> for remote invocation. More...

`#include <xml-rpc.h>`

Collaboration diagram for methodCall:
[legend]

## Public Member Functions
| methodCall ()
| methodCall (struct soap *)
| methodCall (struct soap *, const char *endpoint, const char *methodname)
| instantiate with endpoint and method name
struct value & | operator[] (int)
| method parameter accessor index
struct params & | operator() ()
| method invocation
struct params & | operator() (const struct params &)
| method invocation with param list
struct params & | response ()
| get last response
struct value & | fault ()
| fault value of response
const char * | name () const
| get method name
int | error () const
| gSOAP error code
int | recv ()
| receive call
int | send ()
| send call

## Public Attributes
char * | methodName
| name of the method
struct params | params
| method request parameters
struct soap * | soap
| ref to soap struct that manages this type

## Private Attributes
char * | methodEndpoint
| XML-RPC endpoint.
struct methodResponse * | methodResponse
| holds the response after the call

## Detailed Description

Represents the <methodCall> element with <methodName> and request <params> for remote invocation.

## Constructor & Destructor Documentation

methodCall::methodCall | ( |  | ) |

methodCall::methodCall | ( | struct soap * |  | ) |

methodCall::methodCall | ( | struct soap * | ,
|  | const char * | endpoint,
|  | const char * | methodname
| ) |  |

instantiate with endpoint and method name

## Member Function Documentation

int methodCall::error | ( |  | ) | const

gSOAP error code

struct value& methodCall::fault | ( |  | ) |
| read

fault value of response

const char* methodCall::name | ( |  | ) | const

get method name

struct params& methodCall::operator() | ( |  | ) |
| read

method invocation

struct params& methodCall::operator() | ( | const struct params & |  | ) |
| read

method invocation with param list

struct value& methodCall::operator[] | ( | int |  | ) |
| read

method parameter accessor index

int methodCall::recv | ( |  | ) |

receive call

struct params& methodCall::response | ( |  | ) |
| read

get last response

int methodCall::send | ( |  | ) |

send call

## Member Data Documentation

char* methodCall::methodEndpoint
| private

XML-RPC endpoint.

char* methodCall::methodName

name of the method

struct methodResponse* methodCall::methodResponse
| private

holds the response after the call

struct params methodCall::params

method request parameters

struct soap* methodCall::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/samples/xml-rpc-json/xml-rpc.h